CueFrame

Get a project's composition

Required permission: projects:read

GET
/v1/projects/{id}/composition

Authorization

AuthorizationBearer <token>

API key auth. Prefix cf_live_ for production orgs, cf_test_ for sandbox.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/composition"
{  "v": 1,  "format": {    "aspectRatio": "16:9",    "fps": 24,    "resolution": "hd",    "platform": "string"  },  "tracks": [    {      "id": "string",      "kind": "video",      "name": "string",      "enabled": true,      "contents": [        {          "id": "string",          "startTime": 0,          "duration": 1,          "source": {            "kind": "media",            "mediaId": "string",            "trim": {              "start": 0,              "end": 0            },            "excludedRanges": [              {                "start": 0,                "end": 0,                "reason": "string"              }            ],            "volume": 0,            "muted": true,            "playbackRate": 1,            "sync": "video",            "kenBurns": "in",            "volumeDb": 0,            "fadeInMs": 0,            "fadeOutMs": 0,            "loop": true,            "reframe": {              "segments": [                {                  "startSec": 0,                  "endSec": 1,                  "focus": {                    "mode": "frame-center"                  },                  "intent": "string",                  "zoom": 1,                  "ease": {                    "in": 0,                    "out": 0                  },                  "bias": {                    "x": -0.3,                    "y": -0.3                  }                }              ]            }          },          "kind": "video",          "opacity": 0,          "scale": 1,          "rotation": 0,          "position": {            "x": 0,            "y": 0          },          "region": {            "x": 0,            "y": 0,            "w": 1,            "h": 1          },          "fit": "cover",          "effects": [            {              "primitiveId": "string",              "params": {                "property1": null,                "property2": null              }            }          ],          "transitionIn": {            "type": "string",            "duration": 1          }        }      ]    }  ],  "markers": [    {      "id": "string",      "startTime": 0,      "endTime": 0,      "kind": "string",      "name": "string",      "metadata": {        "property1": null,        "property2": null      }    }  ],  "captions": {    "segments": [      {        "words": [          {            "text": "string",            "startMs": 0,            "endMs": 0,            "emphasis": true,            "annotate": "circle"          }        ]      }    ],    "style": {      "fontFamily": "string",      "fontSize": 1,      "fontWeight": 100,      "color": "string",      "highlightColor": "string",      "backgroundColor": "string",      "position": "top",      "textTransform": "none",      "emphasisColor": "string",      "emphasisGradient": "string",      "emphasisScale": 1,      "emphasisFontFamily": "string",      "emphasisFontWeight": 100,      "emphasisTextTransform": "none",      "emphasisLetterSpacing": 0,      "emphasisFontStyle": "normal",      "entrance": "none",      "entranceMs": 0,      "entranceStaggerMs": 0,      "exitMs": 0,      "emphasisPlate": true,      "emphasisPlateColor": "string",      "emphasisPlateTextColor": "string",      "emphasisPlateAltColor": "string",      "emphasisPlateAltTextColor": "string",      "emphasisPlateRadius": 0,      "emphasisPlatePadX": 0,      "emphasisPlatePadY": 0,      "annotationColor": "string",      "maxWidthPercent": 1    }  },  "brandKitId": "string",  "license": {    "type": "string",    "source": "string",    "notes": "string"  },  "accessibility": {    "audioDescriptionTrackId": "string",    "captionsTrackId": "string",    "signLanguageTrackId": "string",    "notes": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}